Bug 1473615 - Catalog items icons display too much spacing on web console homepage in IE
Summary: Catalog items icons display too much spacing on web console homepage in IE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Robb Hamilton
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-21 10:04 UTC by xipang
Modified: 2017-11-28 22:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A known bug in Internet Explorer resulted in the layout of catalog items taking up too much space. Consequence: As a result, not all the catalog items were visible in Internet Explorer. Fix: The fix involved adding an additional CSS declaration as a workaround for IE. Result: The catalog items now take up the correct space in IE.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:05:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
catalog item icons display spacing (212.79 KB, image/png)
2017-07-21 10:04 UTC, xipang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description xipang 2017-07-21 10:04:07 UTC
Created attachment 1302287 [details]
catalog item icons display spacing

Description of problem:
Catalog items icons display too much spacing on web console homepage in IE, only "All" category has this problem.

Version-Release number of selected component (if applicable):
oc v3.6.153
kubernetes v1.6.1+5115d708d7

How reproducible:
Always

Steps to Reproduce:
1.login web console homepage
2.Click "All" under the "Browse Catalog"
3.Check catalog items icons display

Actual results:
3.Catalog items icons display too much spacing

Expected results:
3.Catalog items icons should display normally, same as other category or subcategory

Additional info:

Comment 1 Samuel Padgett 2017-07-25 19:33:15 UTC
Fix is part of

https://github.com/openshift/origin-web-console/pull/1881

which contains origin-web-catalog fix

https://github.com/openshift/origin-web-catalog/pull/369

Comment 3 Yadan Pei 2017-10-09 07:30:29 UTC
Checked on v3.7.0-0.143.1

The layout of catalog items is good

Move to VERIFIED

Comment 6 errata-xmlrpc 2017-11-28 22:05:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.